[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# ArCosH

Return inverse hyperbolic cosine

## Declaration

Source position: math.pp line 376

`function ArCosH(`
`x: Float`
`):Float;`

## Description

Arcosh returns the inverse hyperbolic cosine of its argument x. The argument x should be larger than 1. The arccosh variant of this function is supplied for Delphi compatibility.

## Errors

If the argument x is not in the allowed range, an EInvalidArgument exception is raised.

## See also

cosh |  | Return hyperbolic cosine
sinh |  | Return hyperbolic sine
arcsin |  | Return inverse sine
arsinh |  | Return inverse hyperbolic sine
artanh |  | Return inverse hyperbolic tangent
tanh |  | Return hyperbolic tangent

## Example

    Program Example3;

    { Program to demonstrate the arcosh function. }

    Uses math;

    begin
      Writeln(arcosh(1));
      Writeln(arcosh(2));
    end.